Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_EventType Class Reference

TAO_Notify_EventType. More...

`#include <Notify_Event.h>`

Collaboration diagram for TAO_Notify_EventType:

[legend]
List of all members.

## Public Methods
| TAO_Notify_EventType (void)
| Constuctor. More...
| TAO_Notify_EventType (const char *domain_name, const char *type_name)
| TAO_Notify_EventType (const CosNotification::EventType &event_type)
| ~TAO_Notify_EventType ()
| Destructor. More...
u_long | hash (void) const
| Hash value. More...
void | operator= (const CosNotification::EventType &event_type)
| Assignment from CosNotification::EventType. More...
void | operator= (CosNotification::EventType &event_type)
| Assignment from CosNotification::EventType. More...
int | operator== (const TAO_Notify_EventType &notify_event_type) const
| == operator. More...
CORBA::Boolean | is_special (void) const
| Is this the special event (accept everything). More...
const CosNotification::EventType & | get_native (void) const
| Get the type underneath us. More...
## Static Public Methods
TAO_Notify_EventType & | special_event_type (void)
| Return the special event type. More...
## Protected Methods
void | init_i (const char *domain_name, const char *type_name)
| Init this object. More...
void | recompute_hash (void)
| Recompute the hash value. More...
## Protected Attributes
CosNotification::EventType | event_type_
| The event_type that we're decorating. More...
u_long | hash_value_
| The hash value computed. More...
## Static Protected Attributes
TAO_Notify_EventType | special_event_type_
| A special event type. More...

## Detailed Description

TAO_Notify_EventType.

This type is used to compare different event types. It is used by the Event Manager as a key to find subscription lists.

## Constructor & Destructor Documentation

TAO_Notify_EventType::TAO_Notify_EventType | ( | void |  | ) |

| Constuctor.

TAO_Notify_EventType::TAO_Notify_EventType | ( | const char * | domain_name,
|  | const char * | type_name
| ) |

TAO_Notify_EventType::TAO_Notify_EventType | ( | const CosNotification::EventType & | event_type | ) |

TAO_Notify_EventType::~TAO_Notify_EventType | ( |  | ) |

| Destructor.

## Member Function Documentation

const CosNotification::EventType & TAO_Notify_EventType::get_native | ( | void |  | ) | const

| Get the type underneath us.

u_long TAO_Notify_EventType::hash | ( | void |  | ) | const

| Hash value.

void TAO_Notify_EventType::init_i | ( | const char * | domain_name,
|  | const char * | type_name
| ) | `[protected]`

| Init this object.

CORBA::Boolean TAO_Notify_EventType::is_special | ( | void |  | ) | const

| Is this the special event (accept everything).

void TAO_Notify_EventType::operator= | ( | CosNotification::EventType & | rhs | ) |

| Assignment from CosNotification::EventType.

void TAO_Notify_EventType::operator= | ( | const CosNotification::EventType & | rhs | ) |

| Assignment from CosNotification::EventType.

int TAO_Notify_EventType::operator== | ( | const TAO_Notify_EventType & | rhs | ) | const

| == operator.

void TAO_Notify_EventType::recompute_hash | ( | void |  | ) | `[protected]`

| Recompute the hash value.

TAO_Notify_EventType & TAO_Notify_EventType::special_event_type | ( | void |  | ) | `[static]`

| Return the special event type.

## Member Data Documentation

CosNotification::EventType TAO_Notify_EventType::event_type_`[protected]`

| The event_type that we're decorating.

u_long TAO_Notify_EventType::hash_value_`[protected]`

| The hash value computed.

TAO_Notify_EventType TAO_Notify_EventType::special_event_type_`[static, protected]`

| A special event type.

The documentation for this class was generated from the following files:

- Notify_Event.h
- Notify_Event.cpp